com.google.web.bindery.requestfactory.apt

## Class TypeVisitorBase<T>

- java.lang.Object
- - javax.lang.model.util.AbstractTypeVisitor6<R,P>
  - - javax.lang.model.util.SimpleTypeVisitor6<T,State>
    - - com.google.web.bindery.requestfactory.apt.TypeVisitorBase<T>

- Type Parameters:
    `T` - the return type for the visitor
  All Implemented Interfaces:
    javax.lang.model.type.TypeVisitor<T,State>
  Direct Known Subclasses:
    ClientToDomainMapper, TransportableTypeVisitor

      class TypeVisitorBase<T>
      extends javax.lang.model.util.SimpleTypeVisitor6<T,State>

  Provides utility functions for type visitors.

- - ### Field Summary

    - ### Fields inherited from class javax.lang.model.util.SimpleTypeVisitor6

      `DEFAULT_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeVisitorBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List<javax.lang.model.type.DeclaredType>` | `getValueTypes(State state)` This method should be kept in sync with `ValueCodex.getAllValueTypes()`.

    - ### Methods inherited from class javax.lang.model.util.SimpleTypeVisitor6

      `defaultAction, visitArray, visitDeclared, visitError, visitExecutable, visitNoType, visitNull, visitPrimitive, visitTypeVariable, visitWildcard`

    - ### Methods inherited from class javax.lang.model.util.AbstractTypeVisitor6

      `visit, visit, visitIntersection, visitUnion, visitUnknown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeVisitorBase

          TypeVisitorBase()

  - ### Method Detail

    - #### getValueTypes

          protected java.util.List<javax.lang.model.type.DeclaredType> getValueTypes(State state)

      This method should be kept in sync with `ValueCodex.getAllValueTypes()`. It doesn't use `getAllValueTypes()` because a dependency on `ValueCodex` would pull in a large number of dependencies into the minimal `requestfactory-apt.jar`.